Page MenuHomePhabricator

Request increased quota for integration Cloud VPS project
Closed, ResolvedPublic

Description

Project Name: integration

Type of quota increase requested: requesting new quotas of 120 vcpus and 320G mem

Reason

We are replacing 14 of our m1.medium (2 vCPU, 4G ram, 40G disk) instances with 4 bigram (8 vCPU, 36G ram, 80G disk), as the latter perform much better on average—build durations are ~ 42% less, comparatively. (See T202160#4582566).

Given our current free vCPU and memory, the vCPU and memory deficits for replacing these instances are respectively:

  • 3 vCPU : 4 bigram * 8 - 14 m1.medium * 2 - 1)
  • 82G memory : 4 bigram * 36 - 14 m1.medium * 4 - 6

I'm adding a little bit more as a buffer seeing as we're also planning to spin up some new support instances (e.g. a prometheus collector).

QuotaCurrentRequested
CPU97120
RAM220G320G
DISK????

Event Timeline

dduvall created this task.Sep 14 2018, 6:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2018, 6:16 PM
hashar updated the task description. (Show Details)Sep 17 2018, 9:34 AM

I have slightly edited the task description,notably to show a table of before/after.

In the math for bigram - m1.medium, there are extras - 1 for CPU and - 6 for RAM. I am not sure what they are for.

The current CPU quota is 97 and the memory quota is 220GB.

We will discuss this in the team and come back to you soon (hopefully this week).

I have slightly edited the task description,notably to show a table of before/after.
In the math for bigram - m1.medium, there are extras - 1 for CPU and - 6 for RAM. I am not sure what they are for.
The current CPU quota is 97 and the memory quota is 220GB.

Yeah, I should have explained that. The 1 and 6 are respectively the currently available vcpu and memory for the project.

I should have also noted that memory utilization for the bigram instances is currently quite low, however we're going to be experimenting with both an increase in executors per node and tmpfs mounts for /tmp within running containers, both of which will increase utilization.

Mentioned in SAL (#wikimedia-cloud) [2018-09-20T09:28:02Z] <arturo> T204373 increasing quotas

aborrero closed this task as Resolved.Sep 20 2018, 9:29 AM
aborrero claimed this task.

Done!

For the record, this is what I did:

aborrero@cloudcontrol1003:~ $ sudo openstack-cvps --os-region-name eqiad quota show integration
+----------------------+-------------+
| Field                | Value       |
+----------------------+-------------+
| cores                | 97          |
| fixed-ips            | 200         |
| floating-ips         | 50          |
| floating_ips         | 0           |
| injected-file-size   | 10240       |
| injected-files       | 5           |
| injected-path-size   | 255         |
| instances            | 37          |
| key-pairs            | 100         |
| network              | 10          |
| port                 | 50          |
| project              | integration |
| properties           | 128         |
| ram                  | 225280      |
| rbac_policy          | 10          |
| router               | 10          |
| secgroup-rules       | 100         |
| secgroups            | 10          |
| server_group_members | 10          |
| server_groups        | 10          |
| subnet               | 10          |
| subnetpool           | -1          |
+----------------------+-------------+
aborrero@cloudcontrol1003:~ 2s $ sudo openstack-cvps --os-region-name eqiad quota set --cores 120 --ram 320000 integration
aborrero@cloudcontrol1003:~ 3s $ sudo openstack-cvps --os-region-name eqiad quota show integration
+----------------------+-------------+
| Field                | Value       |
+----------------------+-------------+
| cores                | 120         |
| fixed-ips            | 200         |
| floating-ips         | 50          |
| floating_ips         | 0           |
| injected-file-size   | 10240       |
| injected-files       | 5           |
| injected-path-size   | 255         |
| instances            | 37          |
| key-pairs            | 100         |
| network              | 10          |
| port                 | 50          |
| project              | integration |
| properties           | 128         |
| ram                  | 320000      |
| rbac_policy          | 10          |
| router               | 10          |
| secgroup-rules       | 100         |
| secgroups            | 10          |
| server_group_members | 10          |
| server_groups        | 10          |
| subnet               | 10          |
| subnetpool           | -1          |
+----------------------+-------------+